# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /Users/runner/work/distributions/distributions/plugin/ci/recipe, last modified Tue Aug 15 22:11:26 2023
# ------------------------------------------------

package:
  name: q2-cutadapt
  version: 2023.7.0.dev0+1.gdb6d44b
source:
  path: /Users/runner/work/distributions/distributions/plugin
build:
  script: make install
  string: py38hb0f81f4_0
requirements:
  host:
    - bzip2 1.0.8 h0d85af4_4
    - ca-certificates 2023.7.22 h8857fd0_0
    - libffi 3.4.2 h0d85af4_5
    - libsqlite 3.42.0 h58db7d2_0
    - libzlib 1.2.13 h8a1eda9_5
    - ncurses 6.4 hf0c8a7f_0
    - openssl 3.1.2 h8a1eda9_0
    - pip 23.2.1 pyhd8ed1ab_0
    - python 3.8.17 hf9b03c3_0_cpython
    - readline 8.2 h9e318b2_1
    - setuptools 68.0.0 pyhd8ed1ab_0
    - tk 8.6.12 h5dbffcc_0
    - wheel 0.41.1 pyhd8ed1ab_0
    - xz 5.2.6 h775f41a_0
  run:
    - cutadapt >=3
    - numpy
    - pandas 1.5.3.*
    - pigz
    - python >=3.8,<3.9.0a0
    - python_abi 3.8.* *_cp38
    - q2-types 2023.7.*
    - qiime2 2023.7.*
test:
  commands:
    - py.test --pyargs q2_cutadapt
  imports:
    - q2_cutadapt
    - qiime2.plugins.cutadapt
  requires:
    - pytest
    - q2-types >=2023.7.0.dev0+3.gb8de86d
    - qiime2 >=2023.7.0.dev0+12.gb7a1766
about:
  home: https://qiime2.org
  license: BSD-3-Clause
  license_family: BSD
extra:
  copy_test_source_files: true
  final: true
